# Uses of Enum
org.eclipse.mat.snapshot.query.TQuantize.Target

Packages that use TQuantize.Target
Package
Description
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.
org.eclipse.mat.ui.internal.panes
Displays the results of queries as text or a table - user interface (not API).

## Uses of TQuantize.Target in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query that return TQuantize.Target
Modifier and Type
Method
Description
`static TQuantize.Target`
TQuantize.Target.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TQuantize.Target[]`
TQuantize.Target.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.mat.snapshot.query with parameters of type TQuantize.Target
Modifier and Type
Method
Description
`static TQuantize`
TQuantize.`defaultValueDistribution(ISnapshot snapshot, IResultTable base, TQuantize.Target target)`
A convenience methods to aggregate a table by one of the well-known targets and create the sum for all other columns.
`static TQuantize.Builder`
TQuantize.`valueDistribution(ISnapshot snapshot, IResultTable base, TQuantize.Target target)`
Creates a `TQuantize` object which aggregates the table by one of the well-known targets, e.g.

## Uses of TQuantize.Target in org.eclipse.mat.ui.internal.panes

Methods in org.eclipse.mat.ui.internal.panes that return TQuantize.Target
Modifier and Type
Method
Description
`TQuantize.Target`
TableResultPane.`getGroupedBy()`